## NAME

d.area - Draws selected polygons to the GRASS display
(GRASS Display/Vector Program)

## SYNOPSIS

d.area [-f] map=name [fillcolor=name] [linecolor=name] [catnum=value[,value,...]]

### Flags:

-f
  Fill all areas with color (cycle through standard GRASS colors)

### Parameters:

map
  Name of existing vector map to be displayed
fillcolor
  Color desired for filling polygons
  Default: white
linecolor
  Color desired for polygons borders
  Default: none
catnum
  List of area category number(s) to display

## DESCRIPTION

Use d.area to draw filled polygons from a vector map to the GRASS display. Using, the "-f" flag, the program will cycle through the standard GRASS named colors, overriding any fillcolor argument. Otherwise, the color used for filling polygons is as specified.

The arguments for fillcolor and linecolor can be any named X11 color (as found in grass5/etc/rgb.txt), a hexidecimal color string (like "AFDF00"), or an RGB triplet specified as "rgb(red green blue)". Hexidecimal color strings must be six characters where each pair represents the red, green and blue colors, respectively. RGB values must be between 0 and 255 for each component. Do not use any separator besides a space between the RGB numbers.

The user can optionally choose to restrict drawing operations to selected polygons by specifying one or more area category numbers using the catnum argument.

## NOTES

When run on the command line, any X11 color name containing spaces or any rgb(...) specification must be quoted to prevent the shell from splitting it into separate arguments.

The routine for handling holes in polygons is relatively slow. Therefore, large maps containing a large number of holes will suffer a significant performance penalty.

It is the intention of GRASS developers to create a better mechanism for persistent storage of vector drawing instructions in the future.

## BUGS

The program does not properly clip areas to match the current display extent (HELP WANTED).

There is a slight disagreement between the output of d.vect and d.area regarding the map coordinate to screen coordinate conversion. This leads to undesirable results when both are used.

## AUTHOR

CERL
Modified by Eric G. Miller

Last changed: $Date: 2002/01/25 05:45:32 $